#ifndef DATE_H
#define DATE_H

typedef struct _Giorno {
    int giorno;
    int mese;
    int anno;
} Giorno;

typedef struct _Ora {
    int ora;
    int minuti;
} Ora;

typedef struct _Data { 
    Giorno giorno;
    Ora ora;
    int durata;
} Data;

/* -1 se g<h, 0 se g=h, 1 se g>h */
int confronta_giorno(Giorno g, Giorno h);

/* 1 se sovrapposte anche parzialmente, 0 altrimenti */
int confronta_data(Data d1, Data d2);

void print_data(Data d1);

#endif /* DATE_H */
